DynamicJava Javadoc: Class Statement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class Statement

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Statement

Direct Known Subclasses:
  BlockStatement, BreakStatement, CatchStatement, ContinueStatement, DoStatement, EmptyStatement, ForStatement, IfThenStatement, LabeledStatement, ReturnStatement, SwitchStatement, SynchronizedStatement, ThrowStatement, TryStatement, WhileStatement

public abstract class Statement
extends Node

This class represents the statement nodes of the syntax tree

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`protected` | `Statement(java.lang.String fn, int bl, int bc, int el, int ec)` Initializes the statement

Methods inherited from class koala.dynamicjava.tree.Node
`acceptVisitor, addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Statement

    protected Statement(java.lang.String fn,
                        int bl,
                        int bc,
                        int el,
                        int ec)

  Initializes the statement
  Parameters:
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.